function Get-UpdateProjectParameters {
    [CmdletBinding()]
    [OutputType([string])]
    param ()

    # do {
        # Ask for Project parameter file.
        Write-Host # Newline.
        Write-Host "Full path to the installed project parameter file is needed."
        Write-Host "The file parameter.json should be located in the project folder from the initial installation of LS Insight."
while ($true) {
        $ProjectParameterFile = Read-Host -Prompt 'Project parameter file'
        if (Test-Path -Path $ProjectParameterFile -PathType "Leaf" ) {break}
        Write-warning "Wrong path. Please try again"
              
    }
    Write-Host "Valid path: '$ProjectParameterFile'" -ForegroundColor Green

    return $ProjectParameterFile
}